Bug 1474453 - [Docs][RFE][director][ironic] Document Redfish support in TripleO
[Docs][RFE][director][ironic] Document Redfish support in TripleO
Status: ON_DEV
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
12.0 (Pike)
Unspecified Unspecified
high Severity high
: async
: 12.0 (Pike)
Assigned To: RHOS Documentation Team
Dan Macpherson
docs-accepted
: Documentation, FutureFeature, Triaged
Depends On: 1396270
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 12:05 EDT by Ramon Acedo
Modified: 2018-07-19 18:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ramon Acedo 2017-07-24 12:05:30 EDT
OSP 12 Pike includes support for Redfish. https://bugs.launchpad.net/ironic/+bug/1526477

Support has also been added to TripleO so that instackeng.json can be configured to manage nodes via Redfish:
https://blueprints.launchpad.net/tripleo/+spec/redfish-support
https://review.openstack.org/#/q/topic:bp/redfish-support,n,z

We need to document both, TripleO support and Ironic in the Overcloud support. Some documents already use examples with Redfish:
https://docs.openstack.org/tripleo-docs/latest/install/advanced_deployment/baremetal_overcloud.html
https://docs.openstack.org/ironic/latest/admin/drivers/redfish.html
Comment 1 Red Hat Bugzilla Rules Engine 2017-08-02 00:15:51 EDT
This bugzilla has been removed from the release since it has not been triaged, and needs to be reviewed for targeting another release.
Comment 2 Lucy Bopf 2017-08-07 22:32:32 EDT
Assigning to Charelle for review.
Comment 4 Lucy Bopf 2017-12-13 23:26:07 EST
The GA milestone has now passed. Moving this tracker to 'async'.

Note You need to log in before you can comment on or make changes to this bug.